--
-- © Copyright Peregrine I.T. Pty Ltd 2004-2018 except where explicitly stated otherwise.
-- Fantasy Grounds is Copyright © 2004-2018 SmiteWorks USA LLC.
-- Copyright to other material within this file may be held by other Individuals and/or Entities.
-- Nothing in or from this LUA file in printed, electronic and/or any other form may be used, copied,
--	transmitted or otherwise manipulated in ANY way without the explicit written consent of
--	Peregrine I.T. Pty Ltd or, where applicable, any and all other Copyright holders.
-- Please see the accompanying License for full details.
-- All rights reserved.
--
-- Called By: wcManifestsREMULists in xREMUWindowClasses.xml
--

function onInit()
	self.onSizeChanged = fpHandleSizeChanged;
	swRulesets.setVisible(true);
	swExtensions.setVisible(true);
	swModules.setVisible(true);
	fpUpdate();
end

function fpHandleSizeChanged()
	local nWidth,nHeight = getSize();
	nHeight = math.floor((nHeight+3)/3)-9;
	swRulesets.setAnchoredHeight(nHeight);
	swExtensions.setAnchoredHeight(nHeight);
	swModules.setAnchoredHeight(nHeight);
end

function fpUpdate()
	fpHandleSizeChanged();
end
