--
-- © Copyright Peregrine I.T. Pty Ltd 2004-2018 except where explicitly stated otherwise.
-- Fantasy Grounds is Copyright © 2004-2018 SmiteWorks USA LLC.
-- Copyright to other material within this file may be held by other Individuals and/or Entities.
-- Nothing in or from this LUA file in printed, electronic and/or any other form may be used, copied,
--	transmitted or otherwise manipulated in ANY way without the explicit written consent of
--	Peregrine I.T. Pty Ltd or, where applicable, any and all other Copyright holders.
-- Please see the accompanying License for full details.
-- All rights reserved.
--
-- Called By: tWindowlistManifests in xREMUTemplates.xml

function onInit()
	for kKey1,vValue1 in pairs(GlobalRegistry.MJB_REMU["aManifests"]) do
		local bFound = false;
		for kKey2,vValue2 in pairs(getWindows()) do
			if vValue2.name.getValue() == kKey1 then
				bFound = true;
				break;
			end
		end
		if not bFound then
			fpCreateEntry(kKey1,vValue1);
		end
	end
	applySort();
end

function fpCreateEntry(sName,aValues)
	local oWindow = createWindow();
	if oWindow then
		oWindow.name.setValue(sName);
		oWindow.sInstalledVer.setValue(aValues["sVersion"]);
	end
end

function fpUpdate()
	super.fpUpdate();
	window.fpUpdate();
end
